Change or close a proactive task
curl --request PATCH \
--url https://api.statisfy.com/v1/digital_workers/{worker_id}/tasks/{task_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conditions": {},
"deadline": "2023-11-07T05:31:56Z",
"instructions": null,
"schedule": {
"expr": "<string>",
"kind": "cron"
},
"status": null
}
'import requests
url = "https://api.statisfy.com/v1/digital_workers/{worker_id}/tasks/{task_id}"
payload = {
"conditions": {},
"deadline": "2023-11-07T05:31:56Z",
"instructions": None,
"schedule": {
"expr": "<string>",
"kind": "cron"
},
"status": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conditions: {},
deadline: '2023-11-07T05:31:56Z',
instructions: null,
schedule: {expr: '<string>', kind: 'cron'},
status: null
})
};
fetch('https://api.statisfy.com/v1/digital_workers/{worker_id}/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/digital_workers/{worker_id}/tasks/{task_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'conditions' => [
],
'deadline' => '2023-11-07T05:31:56Z',
'instructions' => null,
'schedule' => [
'expr' => '<string>',
'kind' => 'cron'
],
'status' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/digital_workers/{worker_id}/tasks/{task_id}"
payload := strings.NewReader("{\n \"conditions\": {},\n \"deadline\": \"2023-11-07T05:31:56Z\",\n \"instructions\": null,\n \"schedule\": {\n \"expr\": \"<string>\",\n \"kind\": \"cron\"\n },\n \"status\": null\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.statisfy.com/v1/digital_workers/{worker_id}/tasks/{task_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"conditions\": {},\n \"deadline\": \"2023-11-07T05:31:56Z\",\n \"instructions\": null,\n \"schedule\": {\n \"expr\": \"<string>\",\n \"kind\": \"cron\"\n },\n \"status\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/digital_workers/{worker_id}/tasks/{task_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"conditions\": {},\n \"deadline\": \"2023-11-07T05:31:56Z\",\n \"instructions\": null,\n \"schedule\": {\n \"expr\": \"<string>\",\n \"kind\": \"cron\"\n },\n \"status\": null\n}"
response = http.request(request)
puts response.read_body{
"account_id": "<string>",
"account_name": "<string>",
"conditions": {},
"created_at": "<string>",
"deadline": "<string>",
"id": "<string>",
"instructions": "<string>",
"kind": "one_off",
"next_run_at": "<string>",
"parked_at": "<string>",
"parked_reason": "<string>",
"schedule": {},
"scope": "global",
"source": "human",
"status": "open",
"updated_at": "<string>",
"worker_id": "<string>"
}digital_workers
Change or close a proactive task
Changes what you send of a task; the rest stays. A new schedule moves its next run. status: done closes it, which needs no product; any other change needs AI CSM, as adding one does.
PATCH
/
v1
/
digital_workers
/
{worker_id}
/
tasks
/
{task_id}
Change or close a proactive task
curl --request PATCH \
--url https://api.statisfy.com/v1/digital_workers/{worker_id}/tasks/{task_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conditions": {},
"deadline": "2023-11-07T05:31:56Z",
"instructions": null,
"schedule": {
"expr": "<string>",
"kind": "cron"
},
"status": null
}
'import requests
url = "https://api.statisfy.com/v1/digital_workers/{worker_id}/tasks/{task_id}"
payload = {
"conditions": {},
"deadline": "2023-11-07T05:31:56Z",
"instructions": None,
"schedule": {
"expr": "<string>",
"kind": "cron"
},
"status": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conditions: {},
deadline: '2023-11-07T05:31:56Z',
instructions: null,
schedule: {expr: '<string>', kind: 'cron'},
status: null
})
};
fetch('https://api.statisfy.com/v1/digital_workers/{worker_id}/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/digital_workers/{worker_id}/tasks/{task_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'conditions' => [
],
'deadline' => '2023-11-07T05:31:56Z',
'instructions' => null,
'schedule' => [
'expr' => '<string>',
'kind' => 'cron'
],
'status' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/digital_workers/{worker_id}/tasks/{task_id}"
payload := strings.NewReader("{\n \"conditions\": {},\n \"deadline\": \"2023-11-07T05:31:56Z\",\n \"instructions\": null,\n \"schedule\": {\n \"expr\": \"<string>\",\n \"kind\": \"cron\"\n },\n \"status\": null\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.statisfy.com/v1/digital_workers/{worker_id}/tasks/{task_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"conditions\": {},\n \"deadline\": \"2023-11-07T05:31:56Z\",\n \"instructions\": null,\n \"schedule\": {\n \"expr\": \"<string>\",\n \"kind\": \"cron\"\n },\n \"status\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/digital_workers/{worker_id}/tasks/{task_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"conditions\": {},\n \"deadline\": \"2023-11-07T05:31:56Z\",\n \"instructions\": null,\n \"schedule\": {\n \"expr\": \"<string>\",\n \"kind\": \"cron\"\n },\n \"status\": null\n}"
response = http.request(request)
puts response.read_body{
"account_id": "<string>",
"account_name": "<string>",
"conditions": {},
"created_at": "<string>",
"deadline": "<string>",
"id": "<string>",
"instructions": "<string>",
"kind": "one_off",
"next_run_at": "<string>",
"parked_at": "<string>",
"parked_reason": "<string>",
"schedule": {},
"scope": "global",
"source": "human",
"status": "open",
"updated_at": "<string>",
"worker_id": "<string>"
}Authorizations
An API key, sent as Authorization: Bearer stfy_live_…. See Authentication for how to get one and which scopes it needs.
Path Parameters
Body
application/json
Response
200 - application/json
Successful Response
Was this page helpful?